﻿/* style.css - MoE site style sheet */

@font-face {
	font-family: 'title-text';
	src: url('../fonts/Cinzel-VariableFont_wght.ttf') format('truetype');
	font-weight: 400;
	font-style: normal;
}

@font-face {
	font-family: 'body-text';
	src: url('../fonts/CormorantGaramond-VariableFont_wght.ttf') format('truetype');
	font-weight: 500;
	font-style: normal;
}

@font-face {
	font-family: 'body-text-italic';
	src: url('../fonts/CormorantGaramond-Italic-VariableFont_wght.ttf') format('truetype');
	font-weight: 500;
	font-style:  normal;
}

.centered {
	text-align: center;
}

.left {
	float:left;
	font-family: title-text;
}

.right {
	float:right;
	font-family: title-text;
}

body {
	font-family:    body-text;
	font-size:      1.4em;
	text-align:     center;
	word-spacing:   .05em;
	letter-spacing: .05em;
	margin-left:    7.5%;
	margin-right:   7.5%;
	margin-top:     5%;
	line-height:    1.75;
	min-width:      360px;
	color:          #333333;
	background:     #F8F8F8;
}

@media screen and (orientation: portrait) {
	body {
		margin-left: 2.5%;
		margin-right: 2.5%;
	}
}

@media (max-width: 768px) {
    body {
        font-size: 1.6em; /* Slightly larger for tablets/mobile */
				font-weight: 600;
    }
}

div.header, div.footer, div.detail, div.site_tagline, dd
{
	font-family: body-text-italic;
}

div.header, div.footer {
	margin: 1.125rem
}

div.site_title {
	font-size: 2.25em;
	letter-spacing: .2rem;
	font-family: title-text;
}

div.site_tagline {
	letter-spacing: .3rem;
}

div.page_title {
	font-size: 2em;
	letter-spacing: .225rem;
	font-family: title-text;
}

div.sub_title {
	font-size: 1.75em;
	letter-spacing: .2rem;
	font-family: title-text;
}

div.topic {
	font-size: 1.4em;
	letter-spacing: .15rem;
	margin: 1.4rem;
}

div.detail {;
	margin-bottom: 1em;
}

div.links {
	margin: .5rem;
	color: #237390; 
}

ul {
	line-height: 1.75em;
	list-style-type: none;
	display: inline-block;	/* overrides user agent style - centering issue */
	padding-left: initial;	/* overrides user agent style - centering issue */
	font-family: title-text;
}

ul.policy {
	text-align: left;
	list-style-type: circle;
	margin-left: auto;
	margin-right: auto;
	width: 38rem;
}

ul.contents {
	font-size: 1.4em;
	letter-spacing: .15rem;
	margin: initial;
}

li {
	margin-bottom: .5em;
}


dl {
	margin: initial;
}

dt {
	font-size: 1.4em;
	letter-spacing: .15rem;
}

dd {
	letter-spacing: .05rem;
	margin-left: initial; 	/* overrides user agent style - centering issue */
	margin-bottom: 1.125rem;
}

p {
	text-align: left;
	text-indent: 2rem;
	margin-top: 0;
	margin-bottom: 1.125rem;
}

p.block_quote {
	text-indent: 0rem;
	margin-left: 2rem;
	line-height: 1.75;
}

p.references {
	font-size: 1em;
	text-indent: 0rem;
}

a {
	color: #004080; /* Unvisited link color */
	text-decoration: none; /* Remove underline */
	transition: color 0.5s ease, text-decoration 0.5s ease; /* Smooth transition */
}

a:hover {
	color: #005dbb; /* Unvisited link hover color */
	text-decoration: underline; /* Underline on hover */
}

a:visited {
	color: #800040; /* Visited link color */
}

a:visited:hover {
	color: #BB005D; /* Visited link hover color */
	text-decoration: underline; /* Underline on hover */
}